Subject: Re: bug#21006: 25.0.50; xref-quit doesn't restore changes in window scrolling position

From: Dmitry Gutov <[email-masked]>
Date: Fri, 4 Dec 2020 02:07:03 +0200

On 03.12.2020 17:44, martin rudalics wrote:
>  > The crux is doesn't restore the previous window scroll positions.
> 
> What are the "previous window scroll positions"?  Note that
> 
>    As a special exception, the window configuration does not record the
>    value of point in the selected window for the current buffer.
> 
> (section 28.26 of the Elisp manual) so if a caller wants that restored,
> it has to do it separately.

That's it.

I wasn't saying it is necessarily a bug in quit-window. Just something 
that would have to be implemented in xref, to have a more consistent 
experience (the bug was for a "future me" or somebody else who had the 
time to look into it).

Not necessary anymore, anyway.